from .Authenticator import InternalDBAuth
from .Authenticator2fa import Authenticator2FA


def _read_version():
    import os
    import sys
    BASE_DIR = os.path.abspath(os.path.dirname(__file__))
    VERSION_FILE = os.path.join(BASE_DIR, 'version.txt')

    try:
        with open(VERSION_FILE, 'r') as f:
            return f.read().strip()
    except Exception as e:
        # Файл не найден или другая проблема
        return None


__version__ = _read_version()

del _read_version
